import {
	myRequest
} from '@/utils/request.js'

// 获取校友组织首页数据
export const getHomeClubData = async () => {
	return await myRequest({
		url: '/alumniClub/queryHomeClub'
	})
}

// 获取校友组织分页数据
export const getClubByCategoryId = async (data) => {
	return await myRequest({
		url: '/alumniClub/queryClubByCategoryId',
		data
	})
}

// 获取校友组织下拉分页数据
export const getClubPage = async (data) => {
	return await myRequest({
		url: "/alumniClub/queryClubPage",
		data
	})
}

// 申请加入组织
export const getJoinClubApply = async (data) => {
	return await myRequest({
		url: '/alumniClubApply/joinClubApply',
		data
	})
}

// 获取相册分类集合
export const getCategoryImages = async () => {
	return await myRequest({
		url: '/alumniCategoryImage/queryCategoryImages'
	})
}

// 根据分类ID获取校友相册分页数据
export const getMobileImagePage = async (data) => {
	return await myRequest({
		url: '/alumniImage/queryMobileImagePage',
		data
	})
}

// 发布校友相册
export const getInsertImage = async (data) => {
	return await myRequest({
		url: '/alumniImage/insertImage',
		method: "post",
		data
	})
}

// 我上传的校友相册分页数据
export const getMyImagePage = async (data) => {
	return await myRequest({
		url: '/alumniImage/queryMyImagePage',
		data
	})
}

// 发起活动
export const getInsertActivity = async (data) => {
	return await myRequest({
		url: '/alumniActivity/insertActivity',
		method: 'post',
		data
	})
}

// 获取首页活动分页数据
export const getActivityPages = async (data) => {
	return await myRequest({
		url: '/alumniActivity/queryActivityPages',
		data
	})
}

// 获取我发起的活动分页数据
export const getMyActivityPages = async (data) => {
	return await myRequest({
		url: '/alumniActivity/queryMyActivityPages',
		data
	})
}

// 获取我参加的活动分页数据
export const getMyJoinActivityPages = async (data) => {
	return await myRequest({
		url: '/alumniActivity/queryMyJoinActivityPages',
		data
	})
}

// 根据ID获取数据详情--活动
export const getDetailInfoById = async (data) => {
	return await myRequest({
		url: '/alumniActivity/queryMobileDetailInfoById',
		data
	})
}

// 发布照片--活动
export const getReleaseImage = async (data) => {
	return await myRequest({
		url: '/alumniActivity/confirmReleaseImage',
		method: 'post',
		data
	})
}

// 我上传的活动图片分页数据--活动
export const getMyUploadPage = async (data) => {
	return await myRequest({
		url: '/alumniActivity/queryMyUploadPage',
		data
	})
}

// 我要报名--活动
export const getReportById = async (data) => {
	return await myRequest({
		url: '/alumniActivity/activityReportById',
		data
	})
}

// 活动签到--活动
export const getSigninById = async (data) => {
	return await myRequest({
		url: '/alumniActivity/activitySigninById',
		data
	})
}

// 获取母校代言分页数据
export const getEndorsePage = async (data) => {
	return await myRequest({
		url: '/alumniEndorse/queryMobileEndorsePage',
		data
	})
}

// 根据ID获取数据详情 -- 母校代言
export const getEndorseById = async (data) => {
	return await myRequest({
		url: '/alumniEndorse/queryEndorseById',
		data
	})
}

//  发起申请 -- 母校代言
export const getApplication = async (data) => {
	return await myRequest({
		url: '/alumniEndorse/initiateApplication',
		method: "post",
		data
	})
}

//  申请记录 时间类型列表数据
export const getWeekTypes = async () => {
	return await myRequest({
		url: '/alumniEndorse/queryWeekTypes'
	})
}

//  我的申请分页数据 -- 母校代言
export const getApplicationRecord = async (data) => {
	return await myRequest({
		url: '/alumniEndorse/applicationRecord',
		data
	})
}

//  获取新闻分类列表数据
export const getCategoryNewss = async () => {
	return await myRequest({
		url: '/alumniCategoryNews/queryCategoryNewss'
	})
}

//  获取新闻分页数据
export const getNewsByCategoryId = async (data) => {
	return await myRequest({
		url: '/alumniNews/queryPageByCategoryId',
		data
	})
}

//  获取通讯录类型列表
export const getAddressBookType = async () => {
	return await myRequest({
		url: '/alumniUser/queryTypes'
	})
}

//  获取通讯录分页数据
export const getAddressBookData = async (data) => {
	return await myRequest({
		url: '/alumniUser/queryMobileUserPages',
		data
	})
}

//  获取审批模块列表数据
export const getApplyTypes = async () => {
	return await myRequest({
		url: '/login/queryApplyTypes'
	})
}

//  获取我发起的审核分页数据
export const getIinitiatedApply = async (data) => {
	return await myRequest({
		url: '/login/queryIinitiatedApply',
		data
	})
}

//  获取待我审核的分页数据
export const getIapproveApply = async (data) => {
	return await myRequest({
		url: '/login/queryIapproveApply',
		data
	})
}

//  审核管理 --审核请求
export const getExamineData = async (data) => {
	return await myRequest({
		url: '/login/toExamineData',
		data
	})
}

//  校区下拉列表数据 --返校申请
export const getSchoolData = async () => {
	return await myRequest({
		url: '/alumniReturn/querySchools'
	})
}

//  发起申请 --返校申请
export const getInsertReturnData = async (data) => {
	return await myRequest({
		url: '/alumniReturn/insertReturnData',
		method: 'post',
		data
	})
}

//  提交记录分页数据 --返校申请
export const getApplicationReturn = async (data) => {
	return await myRequest({
		url: '/alumniReturn/applicationReturn',
		data
	})
}

//  获取心链分页数据
export const getQueryHeart = async (data) => {
	return await myRequest({
		url: '/alumniHeart/queryHeartPage',
		data
	})
}